[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TNotifyEvent

Standard event handler type.

## Declaration

Source position: classesh.inc line 118

`type TNotifyEvent = procedure(`
`Sender: TObject`
`) of object;`

## Description

Most event handlers are implemented as a property of type TNotifyEvent. When this is set to a certain method of a class, when the event occurs, the method will be called, and the class that generated the event will pass itself along as the Sender argument.

## See also

THelpEvent |  | Special event for display of online help.
TGetStrProc |  | Event for retrieving string values.